[chronojump] Add script to create and upload debian packages



commit 4a4652187c778e65f42f906e991fa3abcfa63c28
Author: Andoni Morales Alastruey <ylatuya gmail com>
Date:   Wed Jun 18 18:55:39 2014 +0200

    Add script to create and upload debian packages

 configure.ac   |    1 +
 deb-pkg.sh.in  |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/control |    7 +++++--
 3 files changed, 56 insertions(+), 2 deletions(-)
---
diff --git a/configure.ac b/configure.ac
index ce9797c..0a14d15 100644
--- a/configure.ac
+++ b/configure.ac
@@ -165,6 +165,7 @@ win32/Makefile
 rdotnet/Makefile
 rdotnet/R.NET/Makefile
 rdotnet/RDotNet.NativeLibrary/Makefile
+deb-pkg.sh
 ])
 
 AC_OUTPUT
diff --git a/deb-pkg.sh.in b/deb-pkg.sh.in
new file mode 100644
index 0000000..0d3b38c
--- /dev/null
+++ b/deb-pkg.sh.in
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Creates a debian package for chronojump and uploads it to the ppa
+# USAGE: $./deb-pkg.sh 1
+
+if [ $# -ne 1 ]
+then
+  echo "Usage: `basename $0` DEB_VERSION"
+  exit 1
+fi
+
+ORIG_DIR="`pwd`"
+BUILD_DIR="$ORIG_DIR/build-deb"
+PKG_NAME= PACKAGE@
+PKG_VERSION= VERSION@
+DEB_VERSION=$1
+PPA=ylatuya/ppa
+
+package () {
+       DIST=$1                                 # karmic
+       DEB_RELEASE=$DIST$DEB_VERSION           # karmic
+       RELEASE=$PKG_NAME-$PKG_VERSION          # longomatch-x.y.z
+       TARBALL=$RELEASE.tar.gz                 # longomatch-x.y.z.tar.gz
+       ORIG=$RELEASE~$DEB_RELEASE.orig.tar.gz  # longomatch-x.y.z~karmicw.orig.tar.gz
+       DEST=$RELEASE~$DEB_RELEASE              # longomatch-x.y.z~karmicw
+
+       cd $ORIG_DIR
+       mkdir -p $BUILD_DIR
+       echo "Copy $TARBALL to $BUILD_DIR/$ORIG"
+       cp $TARBALL $BUILD_DIR/$ORIG
+       echo `pwd $BUILD_DIR`
+       cd $BUILD_DIR
+       echo "Extract $ORIG"
+       tar xvzf $ORIG
+       echo "Move $RELEASE to $DEST"
+       mv $RELEASE $DEST
+       echo "Copy debian folder to $DEST"
+       cp -R ../debian $DEST/
+       cd $DEST
+       rm debian/changelog
+       echo "Create changelog dch --create --empty -v $PKG_VERSION~$DEB_RELEASE  --package $PKG_NAME 
--distribution $DIST"
+       dch --create -v $PKG_VERSION~$DEB_RELEASE  --package $PKG_NAME --distribution $DIST
+       dpkg-buildpackage -S
+       cd $BUILD_DIR
+       dput ppa:$PPA $PKG_NAME\_$PKG_VERSION~$DEB_RELEASE\_source.changes
+}
+
+for dist in trusty saucy; do
+       package $dist
+done
diff --git a/debian/control b/debian/control
index 6551883..19fbd6f 100644
--- a/debian/control
+++ b/debian/control
@@ -5,7 +5,8 @@ Maintainer: Andoni Morales Alastruey <ylatuya gmail com>
 Build-Depends: debhelper (>= 5), autotools-dev, cdbs,
  pkg-config, mono-devel, libgtk2.0-cil-dev, libglade2.0-cil-dev,
  libmono-sqlite2.0-cil, libmono-winforms2.0-cil, cli-common-dev,
- python2.6, python-wxgtk2.8, python-serial
+ python, python-wxgtk2.8, python-serial, libgtk2.0-dev,
+ libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev
 Standards-Version: 3.8.3
 
 Package: chronojump
@@ -13,7 +14,9 @@ Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},libmono2.0-cil,
  libgtk2.0-cil, libmono-sqlite2.0-cil,
  libmono-winforms2.0-cil, r-base-core,
- python2.6, python-wxgtk2.8, python-serial
+ python, python-wxgtk2.8, python-serial,
+ gstreamer0.10-plugins-good, gstreamer0.10-plugins-bad,
+ gstreamer0.10-plugins-ugly
 Description: Measurement, management and statistics of sport short-time tests 
  Chronojump is an open hardware, free software and multiplatform complete system
  for measurement, management and statistics of sport short-time tests. 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]